Sorry posted replies directly to Hunter instead of on-list
Regards, Tom
-----Original Message-----
From: Tom Webb
Sent: Tuesday, 5 November 2002 2:42 p.m.
To: '62239@xyz.molar.is'
Subject: RE: [anomy-list]: NEWBIE Q: Mail Dies When Going Through
Anomy
Hi Hunter
Looks like it can't find it to me as well. Permissions are right, owned by
user root and group filter with 0750 permissions:
* rwxr-x--- owner=root group=filter
I believe filter lines in /etc/postfix/master.cf are correct. Have posted
them below for you to review.
---- master.cf file ----
# ==========================================================================
# service type private unpriv chroot wakeup maxproc command + args
# (yes) (yes) (yes) (never) (50)
# ==========================================================================
smtp inet n - n - - smtpd -o
content_filter=filter:
#smtps inet n - n - - smtpd
# -o smtpd_tls_wrappermode=yes -o smtpd_sasl_auth_enable=yes
#submission inet n - n - - smtpd
# -o smtpd_enforce_tls=yes -o smtpd_sasl_auth_enable=yes
#628 inet n - n - - qmqpd
pickup fifo n - y 60 1 pickup
cleanup unix n - y - 0 cleanup
#qmgr fifo n - n 300 1 qmgr
qmgr fifo n - y 300 1 nqmgr
#tlsmgr fifo - - n 300 1 tlsmgr
rewrite unix - - y - - trivial-rewrite
bounce unix - - y - 0 bounce
defer unix - - y - 0 bounce
flush unix n - y 1000? 0 flush
smtp unix - - y - - smtp
showq unix n - y - - showq
error unix - - y - - error
local unix - n n - - local
virtual unix - n y - - virtual
lmtp unix - - y - - lmtp
#
# Interfaces to non-Postfix software. Be sure to examine the manual
# pages of the non-Postfix software to find out what options it wants.
# The Cyrus deliver program has changed incompatibly.
#
cyrus unix - n n - - pipe
flags=R user=cyrus argv=/cyrus/bin/deliver -e -m ${extension} ${user}
uucp unix - n n - - pipe
flags=Fqhu user=uucp argv=uux -r -n -z -a$sender - $nexthop!rmail.postfix
($recipient)
ifmail unix - n n - - pipe
flags=F user=ftn argv=/usr/lib/ifmail/ifmail -r $nexthop ($recipient)
bsmtp unix - n n - - pipe
flags=Fq. user=foo argv=/usr/local/sbin/bsmtp -f $sender $nexthop $recipient
filter unix - n n - - pipe user=filter
argv=/usr/local/anomy/filter.sh -f ${sender} -- ${recipient}
---- filter.sh file ----
#!/bin/sh
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail.postfix
ANOMY=/usr/local/anomy
ANOMY_CONF=/usr/local/anomy/anomy.conf
SPAMASSASSIN=/usr/bin/spamassassin
export ANOMY
# Exit codes from <sysexits.h>
EX_TEMPFAILu
EX_UNAVAILABLEi
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit $EX_TEMPFAIL; }
# Clean up when done or when aborting.
trap "rm -f in.$$; rm -f out.$$" 0 1 2 3 15
# THIS WAS THE ORIGINAL LINE USING SPAMASSASIN
cat | $ANOMY/bin/sanitizer.pl $ANOMY_CONF 2>>/tmp/anomy.log | $SPAMASSASSIN
-P > out.$$ || { echo Message content rejected; exit $EX_UNAVAILABLE; }
$SENDMAIL "$@" < out.$$
exit $?
Look forward to everyone's feedback.
Kind Regards
Tom Webb
Inlet Technologies Limited
Network and Systems Integration Services
Phone 0064 9 525-8110
Fax 0064 9 525-8112
Mobile 021 818 798
E-Mail 62284@xyz.molar.is
Web Site: www.inlet.co.nz
CAUTION - This message and attachments are confidential to Inlet
Technologies Limited and the intended recipient(s). This message may contain
privileged and confidential information > intended only for the use of the
addressee(s) named above. If you are not > the intended recipient of this
message you are hereby notified that any > use, dissemination, distribution
or reproduction of this message is > prohibited. If you have received this
message in error please notify Inlet Technology Corporation Limited> Inlet
Te immediately via email at 62320@xyz.molar.is. > Any views expressed in
this message are those of the individual sender and > may not necessarily
reflect the views of Inlet Technology Corporation Limited.
This footnote confirms that this e-mail message has been scanned for the
presence of known computer viruses by Inlet Technologies' Internal
Anti-virus Protection measures. However, it is still recommended that you
use local virus scanning software to monitor for the presence of viruses as
new viruses are been written daily.
-----Original Message-----
From: 62239@xyz.molar.is [mailto:62239@xyz.molar.is]
Sent: Tuesday, 5 November 2002 1:11 p.m.
To: Tom Webb
Cc: 62189@xyz.molar.is
Subject: Re: [anomy-list]: NEWBIE Q: Mail Dies When Going Through
Anomy
It looks like postfix can't find /usr/local/anomy/filter.sh. Make sure the
permissions are right. It should be owned by user root and group filter
with 0750 permissions:
* rwxr-x--- owner=root group=filter
Also be sure that you properly copied the filter lines
into /etc/postfix/master.cf.
If you still can't figure it out, try sending part of your master.cf and
filter.sh scripts.
~Hunter